Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.cert
Class PKIXCertPathBuilderResult

    java.lang.Object
      |
      +--org.bouncycastle.jce.cert.PKIXCertPathValidatorResult
            |
            +--org.bouncycastle.jce.cert.PKIXCertPathBuilderResult

All Implemented Interfaces:
  CertPathBuilderResult, CertPathValidatorResult, java.lang.Cloneable

public class PKIXCertPathBuilderResult
extends PKIXCertPathValidatorResult
implements CertPathBuilderResult

This class represents the successful result of the PKIX certification path builder algorithm. All certification paths that are built and returned using this algorithm are also validated according to the PKIX certification path validation algorithm.
Instances of `PKIXCertPathBuilderResult` are returned by the `build` method of `CertPathBuilder` objects implementing the PKIX algorithm.
All `PKIXCertPathBuilderResult` objects contain the certification path constructed by the build algorithm, the valid policy tree and subject public key resulting from the build algorithm, and a `TrustAnchor` describing the certification authority (CA) that served as a trust anchor for the certification path.
Concurrent Access
Unless otherwise specified, the methods defined in this class are not thread-safe. Multiple threads that need to access a single object concurrently should synchronize amongst themselves and provide the necessary locking. Multiple threads each manipulating separate objects need not synchronize.

See Also:
  `CertPathBuilderResult`

Constructor Summary
`PKIXCertPathBuilderResult(CertPath certPath, TrustAnchor trustAnchor, PolicyNode policyTree, java.security.PublicKey subjectPublicKey)` Creates an instance of `PKIXCertPathBuilderResult` containing the specified parameters.

Method Summary
`CertPath` | `getCertPath()` Returns the built and validated certification path.
`java.lang.String` | `toString()` Return a printable representation of this `PKIXCertPathBuilderResult`.

Methods inherited from class org.bouncycastle.jce.cert.PKIXCertPathValidatorResult
`clone, getPolicyTree, getPublicKey, getTrustAnchor`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.bouncycastle.jce.cert.CertPathBuilderResult
`clone`

Constructor Detail

### PKIXCertPathBuilderResult

    public PKIXCertPathBuilderResult(CertPath certPath,
                                     TrustAnchor trustAnchor,
                                     PolicyNode policyTree,
                                     java.security.PublicKey subjectPublicKey)

  Creates an instance of `PKIXCertPathBuilderResult` containing the specified parameters.
  Parameters:
    `certPath` - the validated `CertPath`
    `trustAnchor` - a `TrustAnchor` describing the CA that served as a trust anchor for the certification path
    `policyTree` - the immutable valid policy tree, or `null` if there are no valid policies
    `subjectPublicKey` - the public key of the subject
  Throws:
    `java.lang.NullPointerException` - if the `certPath`, `trustAnchor` or `subjectPublicKey` parameters are `null`

Method Detail

### getCertPath

    public CertPath getCertPath()

  Returns the built and validated certification path. The `CertPath` object does not include the trust anchor. Instead, use the `getTrustAnchor()` method to obtain the `TrustAnchor` that served as the trust anchor for the certification path.
  Specified by:
    `getCertPath` in interface `CertPathBuilderResult`
  Returns:
    the built and validated `CertPath` (never `null`)

### toString

    public java.lang.String toString()

  Return a printable representation of this `PKIXCertPathBuilderResult`.
  Overrides:
    `toString` in class `PKIXCertPathValidatorResult`
  Returns:
    a `String` describing the contents of this `PKIXCertPathBuilderResult`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD